Subject: Re: [PATCH] powerpc: Fix whitespace merge in mpc8641 hpcn device tree

From: Scott Wood <[email-masked]>
Date: Thu, 31 Jul 2008 17:52:11 -0500

Kumar Gala wrote:
> np.  It would be nice to see dtc warn about it, but that would probably 
> be a bit difficult.

One thing that macros may bring besides clarity and elimination of 
redundancy is the ability to put some semantic checks in the macro 
itself (rather than hardcoding it into dtc).  At the very least, this 
particular bug would show up as the wrong number of arguments to a macro.

-Scott